function createPizzaHud()
{
	//--- OBJECT WRITE BEGIN ---
	new GuiControl(PizzaGUI) {
		profile = "GuiDefaultProfile";
		horizSizing = "width";
		vertSizing = "height";
		position = "0 0";
		extent = "640 480";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
	
		new ShellPaneCtrl(Sfondo) {
			profile = "ShellDlgPaneProfile";
			horizSizing = "center";
			vertSizing = "center";
			position = "0 0";
			extent = "640 480";
			minExtent = "48 92";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "Pizza Client v 1.3";
			longTextBuffer = "0";
			maxLength = "255";
			noTitleBar = "0";
	
			new ShellTabGroupCtrl(PM_TabView) {
				profile = "TabGroupProfile";
				horizSizing = "width";
				vertSizing = "bottom";
				position = "38 34";
				extent = "507 29";
				minExtent = "38 29";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				glowOffset = "7";
				tabSpacing = "2";
				maxTabWidth = "150";
				stretchToFit = "0";
			};
			new ShellBitmapButton(ButtonQuit) {
				profile = "ShellButtonProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "544 32";
				extent = "65 38";
				minExtent = "32 38";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				command = "HidePizzaHud();";
				helpTag = "0";
				text = "QUIT";
				simpleStyle = "0";
			};
			new ShellTabFrame(PM_AdminHUDPane) {
				profile = "ShellHorzTabFrameProfile";
				horizSizing = "width";
				vertSizing = "bottom";
				position = "30 63";
				extent = "579 394";
				minExtent = "516 254";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				isVertical = "0";
				useCloseButton = "0";
				edgeInset = "0";
	
				new GuiTextCtrl(AdminSAD) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "149 20";
					extent = "67 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Admin PW:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsAdminSAD) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "211 10";
					extent = "160 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendAdminSAD) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "356 10";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsAdminSAD);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(AdminComsText) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "227 45";
					extent = "131 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "ADMIN COMMANDS:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new GuiTextCtrl(ADJoinPW) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "15 70";
					extent = "77 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Set Join PW:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsADJoinPW) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "88 60";
					extent = "199 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendADJoinPW) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "272 60";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsADJoinPW);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(ADMaxPlayers) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "333 70";
					extent = "102 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Set Max Players:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsADMaxPlayers) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "429 60";
					extent = "106 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendADMaxPlayers) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "520 60";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsADMaxPlayers);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(Botprint) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "15 95";
					extent = "133 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "BottomPrint Message:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsBottomPrint) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "5 110";
					extent = "530 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendBottomPrint) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "520 110";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsBottomPrint);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(CenPrint) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "15 145";
					extent = "130 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "CenterPrint Message:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsCenterPrint) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "5 160";
					extent = "530 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendCenterPrint) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "520 160";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsCenterPrint);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(SADcomsText) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "203 195";
					extent = "175 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "SUPER ADMIN COMMANDS:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellToggleButton(RandomTeams) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "5 215";
					extent = "130 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$RandomTeamsVariable";
					command = "commandToServer(\'Set\', \"random\", $RandomTeamsVariable);";
					helpTag = "0";
					text = "Random Teams";
					longTextBuffer = "0";
					maxLength = "255";
					simpleStyle = "0";
				};
				new ShellToggleButton(FairTeams) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "175 215";
					extent = "130 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$FairTeamsVariable";
					command = "commandToServer(\'Set\', \"fairteams\", $FairTeamsVariable);";
					helpTag = "0";
					text = "Fair Teams";
					longTextBuffer = "0";
					maxLength = "255";
					simpleStyle = "0";
				};
				new ShellToggleButton(ServerReset) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "345 215";
					extent = "130 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$ServerResetVariable";
					command = "commandToServer(\'Set\', \"restart\", $ServerResetVariable);";
					helpTag = "0";
					text = "Reset Server";
					longTextBuffer = "0";
					maxLength = "255";
					simpleStyle = "0";
				};
				new ShellBitmapButton(EditBanBtn) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "479 210";
					extent = "95 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "ShowPizzaBanDlg();";
					helpTag = "0";
					text = "EDIT BAN LIST";
					simpleStyle = "0";
				};
				new ShellToggleButton(AutoPW) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "5 244";
					extent = "105 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$AutoPWvalue";
					command = "commandToServer(\'AutoPWSetup\', \"autopw\", $AutoPWvalue);";
					helpTag = "0";
					text = "Auto Password";
					longTextBuffer = "0";
					maxLength = "255";
					simpleStyle = "0";
				};
				new GuiTextCtrl(AutoPWPassword) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "115 249";
					extent = "63 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Password:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsAutoPWPassword) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "172 240";
					extent = "115 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendAutoPWPassword) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "272 240";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsAutoPWPassword);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(AutoPWCount) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "332 249";
					extent = "78 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Player count:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsAutoPWCount) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "403 240";
					extent = "132 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendAutoPWCount) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "520 240";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsAutoPWCount);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new ShellToggleButton(FullServerPW) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "5 274";
					extent = "105 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$FullServerPWvalue";
					command = "commandToServer(\'FullServerPWSetup\', \"fullserverpw\", $FullServerPWvalue);";
					helpTag = "0";
					text = "Full Server PW";
					longTextBuffer = "0";
					maxLength = "255";
					simpleStyle = "0";
				};
				new GuiTextCtrl(FullServerPWPassword) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "115 279";
					extent = "63 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Password:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsFullServerPWPassword) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "172 270";
					extent = "115 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendFullServerPWPassword) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "272 270";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsFullServerPWPassword);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(FullServerPWAdd) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "332 279";
					extent = "91 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Number to add:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsFullServerPWAdd) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "416 270";
					extent = "119 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendFullServerPWAdd) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "520 270";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsFullServerPWAdd);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new ShellToggleButton(NoBaseRape) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "5 304";
					extent = "105 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$NBRvalue";
					command = "commandToServer(\'NBRSetup\', \"NoBaseRape\", $NBRvalue);";
					helpTag = "0";
					text = "No Base Rape";
					longTextBuffer = "0";
					maxLength = "255";
					simpleStyle = "0";
				};
				new GuiTextCtrl(NBRBase) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "115 309";
					extent = "105 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Min base players:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsNBRBase) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "215 300";
					extent = "70 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendNBRBase) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "272 300";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsNBRBase);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(NBRClassic) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "333 309";
					extent = "118 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Min classic players:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsNBRClassic) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "445 300";
					extent = "90 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendNBRClassic) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "520 300";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsNBRClassic);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(JoinPW) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "15 340";
					extent = "77 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Set Join PW:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsJoinPW) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "88 330";
					extent = "199 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendJoinPW) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "272 330";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsJoinPW);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(MaxPlayers) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "333 340";
					extent = "102 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Set Max Players:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsMaxPlayers) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "429 330";
					extent = "106 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendMaxPlayers) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "520 330";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsMaxPlayers);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(ADPW) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "15 370";
					extent = "91 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Set Admin PW:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsADPW) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "100 360";
					extent = "140 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendADPW) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "225 360";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsADPW);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
				new GuiTextCtrl(SADPW) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "276 370";
					extent = "125 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Set SuperAdmin PW:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsSADPW) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "395 360";
					extent = "140 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(SendSADPW) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "520 360";
					extent = "54 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "SendMsg(InsSADPW);";
					helpTag = "0";
					text = "SEND";
					simpleStyle = "0";
				};
			};
			new ShellTabFrame(PM_ETMPane) {
				profile = "ShellHorzTabFrameProfile";
				horizSizing = "width";
				vertSizing = "bottom";
				position = "30 63";
				extent = "579 394";
				minExtent = "516 254";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				isVertical = "0";
				useCloseButton = "0";
				edgeInset = "0";
	
				new ShellPopupMenu(MapNumber) {
					profile = "ShellPopupProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "184 31";
					extent = "220 36";
					minExtent = "49 36";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "MapNumber.choosed();";
					helpTag = "0";
					text = "Select map number";
					longTextBuffer = "0";
					maxLength = "255";
					maxPopupHeight = "200";
					buttonBitmap = "gui/shll_pulldown";
					rolloverBarBitmap = "gui/shll_pulldownbar_rol";
					selectedBarBitmap = "gui/shll_pulldownbar_act";
					noButtonStyle = "0";
				};
				new ShellBitmapButton(ResetMap) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "390 31";
					extent = "55 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "ETMmode.ResetMap();";
					helpTag = "0";
					text = "RESET";
					simpleStyle = "0";
				};
				new GuiControl(MapControl) {
					profile = "NewScrollCtrlProfile";
					horizSizing = "relative";
					vertSizing = "bottom";
					position = "187 80";
					extent = "215 85";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
	
					new ShellScrollCtrl() {
						profile = "NewScrollCtrlProfile";
						horizSizing = "width";
						vertSizing = "bottom";
						position = "0 0";
						extent = "215 85";
						minExtent = "24 24";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						helpTag = "0";
						willFirstRespond = "1";
						hScrollBar = "alwaysOff";
						vScrollBar = "dynamic";
						constantThumbHeight = "0";
						defaultLineHeight = "15";
						childMargin = "3 3";
						fieldBase = "gui/shll_field";
	
						new GuiScrollContentCtrl() {
							profile = "GuiDefaultProfile";
							horizSizing = "right";
							vertSizing = "bottom";
							position = "7 7";
							extent = "201 71";
							minExtent = "8 8";
							visible = "1";
							hideCursor = "0";
							bypassHideCursor = "0";
							helpTag = "0";
	
							new ShellTextList(MapVoteMenu) {
								profile = "ShellTextArrayProfile";
								horizSizing = "right";
								vertSizing = "bottom";
								position = "0 0";
								extent = "201 8";
								minExtent = "8 8";
								visible = "1";
								hideCursor = "0";
								bypassHideCursor = "0";
								altcommand = "ETMmode.vote();";
								helpTag = "0";
								enumerate = "0";
								resizeCell = "1";
								columns = "0";
								fitParentWidth = "1";
								clipColumnText = "0";
							};
						};
					};
					new ShellBitmapButton(MapCancelBtn) {
						profile = "ShellButtonProfile";
						horizSizing = "right";
						vertSizing = "bottom";
						position = "135 1";
						extent = "65 38";
						minExtent = "32 38";
						visible = "0";
						hideCursor = "0";
						bypassHideCursor = "0";
						command = "ETMmode.reset();";
						helpTag = "0";
						text = "CANCEL";
						simpleStyle = "0";
					};
				};
				new GuiTextCtrl(StormText) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "201 165";
					extent = "36 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Storm";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellPopupMenu(StormClan) {
					profile = "ShellPopupProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "154 175";
					extent = "135 36";
					minExtent = "49 36";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "StormClan.choosed();";
					helpTag = "0";
					text = "Choose clan";
					longTextBuffer = "0";
					maxLength = "255";
					maxPopupHeight = "50";
					buttonBitmap = "gui/shll_pulldown";
					rolloverBarBitmap = "gui/shll_pulldownbar_rol";
					selectedBarBitmap = "gui/shll_pulldownbar_act";
					noButtonStyle = "0";
				};
				new GuiTextCtrl(InfernoText) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "339 165";
					extent = "42 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Inferno";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellPopupMenu(InfernoClan) {
					profile = "ShellPopupProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "294 175";
					extent = "135 36";
					minExtent = "49 36";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "InfernoClan.choosed();";
					helpTag = "0";
					text = "Choose clan";
					longTextBuffer = "0";
					maxLength = "255";
					maxPopupHeight = "50";
					buttonBitmap = "gui/shll_pulldown";
					rolloverBarBitmap = "gui/shll_pulldownbar_rol";
					selectedBarBitmap = "gui/shll_pulldownbar_act";
					noButtonStyle = "0";
				};
				new ShellBitmapButton(RemoveClan) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "414 175";
					extent = "65 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "ETMmode.RemoveClan();";
					helpTag = "0";
					text = "REMOVE";
					simpleStyle = "0";
				};
				new GuiTextCtrl(NewClan) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "196 222";
					extent = "85 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Add new clan:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(InsNewClan) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "276 213";
					extent = "93 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					altCommand = "processEnter();";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellBitmapButton(AddNewClan) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "355 213";
					extent = "46 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "ETMmode.AddClan();";
					helpTag = "0";
					text = "ADD";
					simpleStyle = "0";
				};
				new GuiTextCtrl(MapPreview) {
					profile = "GuiDefaultProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "157 266";
					extent = "240 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
	
					new GuiTextCtrl(MapChoosedText) {
						profile = "ShellAltTextProfile";
						horizSizing = "right";
						vertSizing = "bottom";
						position = "0 0";
						extent = "85 20";
						minExtent = "8 8";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						helpTag = "0";
						text = "Map Choosed:";
						longTextBuffer = "0";
						maxLength = "255";
					};
					new GuiMLTextCtrl(MapChoosed) {
						profile = "ShellAltTextProfile";
						horizSizing = "right";
						vertSizing = "bottom";
						position = "99 0";
						extent = "136 16";
						minExtent = "8 8";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						helpTag = "0";
						lineSpacing = "2";
						allowColorChars = "0";
						maxChars = "-1";
						deniedSound = "InputDeniedSound";
					};
				};
				new GuiTextCtrl(StormPreview) {
					profile = "GuiDefaultProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "191 283";
					extent = "212 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
	
					new GuiTextCtrl(StormClanText) {
						profile = "ShellAltTextProfile";
						horizSizing = "right";
						vertSizing = "bottom";
						position = "10 0";
						extent = "40 20";
						minExtent = "8 8";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						helpTag = "0";
						text = "Storm:";
						longTextBuffer = "0";
						maxLength = "255";
					};
					new GuiMLTextCtrl(StormClanChoosed) {
						profile = "ShellAltTextProfile";
						horizSizing = "right";
						vertSizing = "bottom";
						position = "65 0";
						extent = "145 16";
						minExtent = "8 8";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						helpTag = "0";
						lineSpacing = "2";
						allowColorChars = "0";
						maxChars = "-1";
						deniedSound = "InputDeniedSound";
					};
				};
				new GuiTextCtrl(InfernoPreview) {
					profile = "GuiDefaultProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "190 302";
					extent = "212 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
	
					new GuiTextCtrl(InfernoClanText) {
						profile = "ShellAltTextProfile";
						horizSizing = "right";
						vertSizing = "bottom";
						position = "5 0";
						extent = "46 20";
						minExtent = "8 8";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						helpTag = "0";
						text = "Inferno:";
						longTextBuffer = "0";
						maxLength = "255";
					};
					new GuiMLTextCtrl(InfernoClanChoosed) {
						profile = "ShellAltTextProfile";
						horizSizing = "right";
						vertSizing = "bottom";
						position = "66 0";
						extent = "145 16";
						minExtent = "8 8";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						helpTag = "0";
						lineSpacing = "2";
						allowColorChars = "0";
						maxChars = "-1";
						deniedSound = "InputDeniedSound";
					};
				};
				new ShellBitmapButton(ETMUpdateMap) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "199 329";
					extent = "89 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "ETMmode.UpdateMap();";
					helpTag = "0";
					text = "UPDATE MAP";
					simpleStyle = "0";
				};
				new ShellBitmapButton(ETMConfirmMap) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "294 329";
					extent = "78 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "ETMmode.confirm();";
					helpTag = "0";
					text = "CONFIRM";
					simpleStyle = "0";
				};
				new ShellBitmapButton(ETMResetAll) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "13 357";
					extent = "140 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "ETMmode.resetAll();";
					helpTag = "0";
					text = "RESET ALL";
					simpleStyle = "0";
				};
				new ShellBitmapButton(ETMProceed) {
					profile = "ShellButtonProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "424 357";
					extent = "140 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					command = "commandToServer(\'ETMProceed\');";
					helpTag = "0";
					text = "PROCEED";
					simpleStyle = "0";
				};
			};
			new ShellTabFrame(PM_OptionsPane) {
				profile = "ShellHorzTabFrameProfile";
				horizSizing = "width";
				vertSizing = "bottom";
				position = "30 63";
				extent = "579 394";
				minExtent = "516 254";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				isVertical = "0";
				useCloseButton = "0";
				edgeInset = "0";
				
				new ShellToggleButton(ToggleBottomPrint) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "45 50";
					extent = "235 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::bottomprint";
					command = "commandToServer(\'ToggleBottomPrint\', $PizzaClient::bottomprint);";
					helpTag = "0";
					text = "Show MidAir detection message";
					longTextBuffer = "0";
					maxLength = "255";
					simpleStyle = "0";
				};
				new ShellToggleButton(ToggleDebriefingSshot) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "288 50";
					extent = "235 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::SshotDebriefing";
					helpTag = "0";
					text = "Screenshot Debriefing Page";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellToggleButton(ToggleDiscSshot) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "15 130";
					extent = "170 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::DiscSshot";
					helpTag = "0";
					text = "MidAir Disc Screenshot";
					longTextBuffer = "0";
					maxLength = "255";
					simpleStyle = "0";
				};
				new ShellToggleButton(TogglePlasmaSshot) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "200 130";
					extent = "170 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::PlasmaSshot";
					helpTag = "0";
					text = "MidAir Plasma Screenshot";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellToggleButton(ToggleBlasterSshot) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "385 130";
					extent = "170 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::BlasterSshot";
					helpTag = "0";
					text = "MidAir Blaster Screenshot";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new GuiTextCtrl(DiscDistText) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "35 163";
					extent = "82 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Min Distance:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(DiscSshotDistance) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "113 154";
					extent = "65 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::DiscSshotdistance";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new GuiTextCtrl(PlasmaDistText) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "220 163";
					extent = "82 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Min Distance:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(PlasmaSshotDistance) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "298 154";
					extent = "65 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::PlasmaSshotdistance";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new GuiTextCtrl(BlasterDistText) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "405 163";
					extent = "82 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Min Distance:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(BlasterSshotDistance) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "483 154";
					extent = "64 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::BlasterSshotdistance";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new ShellToggleButton(ToggleSshotHuds) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "200 200";
					extent = "170 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::SshotHud";
					helpTag = "0";
					text = "Show Huds";
					longTextBuffer = "0";
					maxLength = "255";
					simpleStyle = "0";
				};
				new ShellToggleButton(ToggleSnipeSshot) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "115 255";
					extent = "170 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::SnipeSshot";
					helpTag = "0";
					text = "Take Snipe screenshots";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellToggleButton(ToggleSnipeSshotHuds) {
					profile = "ShellRadioProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "290 255";
					extent = "170 27";
					minExtent = "26 27";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::SnipeSshotHud";
					helpTag = "0";
					text = "Show Huds";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new GuiTextCtrl(SnipedistanceText) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "220 289";
					extent = "82 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Min Distance:";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellTextEditCtrl(SnipeSshotDistance) {
					profile = "NewTextEditProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "298 280";
					extent = "65 38";
					minExtent = "32 38";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "$PizzaClient::SnipeSshotdistance";
					helpTag = "0";
					longTextBuffer = "0";
					maxLength = "255";
					historySize = "0";
					password = "0";
					IRCName = "0";
					tabComplete = "0";
					deniedSound = "InputDeniedSound";
					glowOffset = "9 9";
				};
				new GuiTextCtrl(GammaText) {
					profile = "ShellAltTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "242 337";
					extent = "89 20";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "Gamma Adjust";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new GuiTextCtrl(GammaSliderText) {
					profile = "GuiDefaultProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "275 356";
					extent = "34 16";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
					text = "50%";
					longTextBuffer = "0";
					maxLength = "255";
				};
				new ShellSliderCtrl(GammaSlider) {
					profile = "ShellSliderProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "219 350";
					extent = "133 24";
					minExtent = "12 24";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					variable = "value";
					altCommand = "updateGammaSshotInterval();";
					helpTag = "0";
					range = "0.000000 0.500000";
					ticks = "1000";
					value = "0.125";
					usePlusMinus = "0";
				};
			};
		};
	};
	
	new GuiControl(PizzaBanDlg) {
		profile = "DlgBackProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "640 480";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
	
		new ShellPaneCtrl(PizzaBanPane) {
			profile = "ShellDlgPaneProfile";
			horizSizing = "center";
			vertSizing = "center";
			position = "199 0";
			extent = "241 480";
			minExtent = "48 92";
			visible = "1";
			hideCursor = "0";
			bypassHideCursor = "0";
			helpTag = "0";
			text = "PIZZA BAN LIST";
			longTextBuffer = "0";
			maxLength = "255";
			noTitleBar = "0";
	
			new GuiTextCtrl(PizzaBanName) {
				profile = "ShellTextProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "87 27";
				extent = "64 22";
				minExtent = "8 8";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				text = "Player Name";
				longTextBuffer = "0";
				maxLength = "255";
			};
			new ShellScrollCtrl() {
				profile = "NewScrollCtrlProfile";
				horizSizing = "right";
				vertSizing = "height";
				position = "24 40";
				extent = "195 150";
				minExtent = "24 24";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				willFirstRespond = "1";
				hScrollBar = "alwaysOff";
				vScrollBar = "dynamic";
				constantThumbHeight = "0";
				defaultLineHeight = "15";
				childMargin = "3 3";
				fieldBase = "gui/shll_field";
	
				new GuiScrollContentCtrl() {
					profile = "GuiDefaultProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "7 7";
					extent = "181 136";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
	
					new ShellTextList(PizzaBanNameList) {
						profile = "ShellTextArrayProfile";
						horizSizing = "right";
						vertSizing = "bottom";
						position = "0 0";
						extent = "187 8";
						minExtent = "8 8";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						helpTag = "0";
						enumerate = "0";
						resizeCell = "1";
						columns = "0";
						fitParentWidth = "1";
						clipColumnText = "0";
					};
				};
			};
			new ShellBitmapButton(PizzaBanNameRemove) {
				profile = "ShellButtonProfile";
				horizSizing = "right";
				vertSizing = "top";
				position = "75 185";
				extent = "90 38";
				minExtent = "32 38";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				command = "PizzaBanNameList.RemoveBan();";
				helpTag = "0";
				text = "REMOVE BAN";
				simpleStyle = "0";
			};
			new GuiTextCtrl(PizzaBanClan) {
				profile = "ShellTextProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "93 228";
				extent = "55 22";
				minExtent = "8 8";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				text = "Clan Name";
				longTextBuffer = "0";
				maxLength = "255";
			};
			new ShellScrollCtrl() {
				profile = "NewScrollCtrlProfile";
				horizSizing = "right";
				vertSizing = "height";
				position = "24 240";
				extent = "195 150";
				minExtent = "24 24";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				helpTag = "0";
				willFirstRespond = "1";
				hScrollBar = "alwaysOff";
				vScrollBar = "dynamic";
				constantThumbHeight = "0";
				defaultLineHeight = "15";
				childMargin = "3 3";
				fieldBase = "gui/shll_field";
	
				new GuiScrollContentCtrl() {
					profile = "GuiDefaultProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "7 7";
					extent = "181 136";
					minExtent = "8 8";
					visible = "1";
					hideCursor = "0";
					bypassHideCursor = "0";
					helpTag = "0";
	
					new ShellTextList(PizzaBanClanList) {
						profile = "ShellTextArrayProfile";
						horizSizing = "right";
						vertSizing = "bottom";
						position = "0 0";
						extent = "187 8";
						minExtent = "8 8";
						visible = "1";
						hideCursor = "0";
						bypassHideCursor = "0";
						helpTag = "0";
						enumerate = "0";
						resizeCell = "1";
						columns = "0";
						fitParentWidth = "1";
						clipColumnText = "0";
					};
				};
			};
			new ShellBitmapButton(PizzaBanClanRemove) {
				profile = "ShellButtonProfile";
				horizSizing = "right";
				vertSizing = "top";
				position = "75 385";
				extent = "90 38";
				minExtent = "32 38";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				command = "PizzaBanClanList.RemoveBan();";
				helpTag = "0";
				text = "REMOVE BAN";
				simpleStyle = "0";
			};
			new ShellBitmapButton(PizzaBanDone) {
				profile = "ShellButtonProfile";
				horizSizing = "right";
				vertSizing = "top";
				position = "75 427";
				extent = "90 38";
				minExtent = "32 38";
				visible = "1";
				hideCursor = "0";
				bypassHideCursor = "0";
				command = "HidePizzaBanDlg();";
				helpTag = "0";
				text = "DONE";
				simpleStyle = "0";
			};
		};
	};
	
	new HudBitmapCtrl(GammaAdjust) {
		profile = "GuiDefaultProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "0 0";
		extent = "800 600";
		minExtent = "8 8";
		visible = "1";
		hideCursor = "0";
		bypassHideCursor = "0";
		helpTag = "0";
		fillColor = "1.000000 1.000000 1.000000 1.000000";
		frameColor = "1.000000 1.000000 1.000000 1.000000";
		opacity = "0";
		autoCenter = "0";
		autoResize = "0";
		flipVertical = "0";
		flipHorizontal = "0";
	};
	//--- OBJECT WRITE END ---
	
	exec("prefs/eTourneyClan.cs");
}

function processEnter()
{
}

addMessageCallback('MsgPizzaJoin', PizzaClientJoin);

function PizzaClientJoin()
{
	commandToServer('RegisterPizzaClient');
	
	$isPizzaServer = 1;
      
   if(!$PizzaHudCreated)
	{
	   if(!isObject(PizzaGUI)) // Create the gui
	      createPizzaHud();

	   $PizzaHudCreated = 1; // Set the flag

	   MapNumber.FillList();
	   ETMmode.FillClanList();

	   ToggleBottomprint.setValue($PizzaClient::bottomPrint);
	   ToggleDebriefingSshot.setValue($PizzaClient::SshotDebriefing);

	   ToggleDiscSshot.setValue($PizzaClient::DiscSshot);
	   DiscSshotDistance.setValue($PizzaClient::DiscSshotdistance);
	   TogglePlasmaSshot.setValue($PizzaClient::PlasmaSshot);
	   PlasmaSshotDistance.setValue($PizzaClient::PlasmaSshotdistance);
	   ToggleBlasterSshot.setValue($PizzaClient::BlasterSshot);
	   BlasterSshotDistance.setValue($PizzaClient::BlasterSshotdistance);

	   ToggleSshotHuds.setValue($PizzaClient::SshotHud);

	   ToggleSnipeSshot.setValue($PizzaClient::SnipeSshot);
	   ToggleSnipeSshotHuds.setValue($PizzaClient::SnipeSshotHud);
	   SnipeSshotDistance.setValue($PizzaClient::SnipeSshotdistance);

	   GammaSlider.setValue($PizzaClient::sshotGamma);
	}
}

function togglePizzaHud(%val)
{
   if(%val && $PizzaHudCreated)
   {
      if($PizzaHudOpen)
         HidePizzaHud();
      else
         ShowPizzaHud();
   }
}

function ShowPizzaHud()
{
   canvas.pushdialog(PizzaGUI);

   $PizzaHudOpen = 1;
   $ETMPaneOpen = 0;

   PM_TabView.clear();

   PM_TabView.addTab(1, "Admin HUD");
   PM_TabView.addTab(2, "Enhanced Tournament");
   PM_TabView.addTab(3, "Options");

   PM_AdminHUDPane.setVisible(1);
   PM_ETMPane.setVisible(0);
   PM_OptionsPane.setVisible(0);

   PM_TabView.setSelected(1);
}

function PizzaGUI::onWake(%this)
{
   if(isObject(PizzaHudMap))
   {
      PizzaHudMap.pop();
      PizzaHudMap.delete();
   }
   new ActionMap(PizzaHudMap);
   PizzaHudMap.blockBind(moveMap, toggleModHud);
   PizzaHudMap.blockBind(moveMap, toggleAdminHud);
   PizzaHudMap.blockBind(moveMap, togglePracticeHud);
   PizzaHudMap.blockBind(moveMap, toggleInventoryHud);
   PizzaHudMap.blockBind(moveMap, toggleScoreScreen);
   PizzaHudMap.blockBind(moveMap, toggleCommanderMap);
   PizzaHudMap.bindCmd(keyboard, escape, "", "HidePizzaHud();" );
   PizzaHudMap.push();
}

function HidePizzaHud()
{
   canvas.popdialog(PizzaGUI);
   $PizzaHudOpen = 0;
}

function PizzaGUI::onSleep(%this)
{
   PizzaHudMap.pop();
   PizzaHudMap.delete();

	ETMmode.resetList();
	deleteVariables("$ClientETM*");

	if($ETMPaneOpen)
	{
   	commandtoServer('ETMResetVariables');
   	$ETMPaneOpen = 0;
   }
}

function PM_TabView::onAdd(%this)
{
}

function PM_TabView::onSelect(%this, %id)
{
	PM_AdminHudPane.setvisible(0);
	PM_ETMPane.setVisible(0);
	PM_OptionsPane.setvisible(0);
	
	switch$(%id)
	{
		case 1:
			PM_AdminHudPane.setvisible(1);
		case 2:
			PM_ETMPane.setVisible(1);
			MapNumber.setSelected(0);
			StormClan.setSelected(0);
			InfernoClan.setSelected(0);
			$ETMPaneOpen = 1;
		case 3:
			PM_OptionsPane.setvisible(1);
		default:
			PM_AdminHudPane.setvisible(1);
	}
}

function ShowPizzaBanDlg()
{
	HidePizzaHud();
	canvas.pushdialog(PizzaBanDlg);
	commandToServer('GetPizzaBanList');
}

function PizzaBanDlg::onWake(%this)
{
   if(isObject(PizzaBanMap))
   {
      PizzaBanMap.pop();
      PizzaBanMap.delete();
   }
   new ActionMap(PizzaBanMap);
   PizzaBanMap.blockBind(moveMap, toggleModHud);
   PizzaBanMap.blockBind(moveMap, toggleAdminHud);
   PizzaBanMap.blockBind(moveMap, togglePracticeHud);
   PizzaBanMap.blockBind(moveMap, toggleInventoryHud);
   PizzaBanMap.blockBind(moveMap, toggleScoreScreen);
   PizzaBanMap.blockBind(moveMap, toggleCommanderMap);
   PizzaBanMap.bindCmd(keyboard, escape, "", "HidePizzaBanDlg();" );
   PizzaBanMap.push();
}

function HidePizzaBanDlg()
{
	canvas.popdialog(PizzaBanDlg);
	ShowPizzaHud();
}

function PizzaBanDlg::onSleep(%this)
{
   PizzaBanMap.pop();
   PizzaBanMap.delete();

   PizzaBanNameList.clear();
	PizzaBanClanList.clear();
}

addMessageCallback('MsgPizzaNameBanItem', handlePizzaNameBanItem);

function handlePizzaNameBanItem(%msgType, %msgString, %id, %ban)
{
	PizzaBanNameList.addRow(%id, %ban);
}

addMessageCallback('MsgPizzaClanBanItem', handlePizzaClanBanItem);

function handlePizzaClanBanItem(%msgType, %msgString, %id, %ban)
{
	PizzaBanClanList.addRow(%id, %ban);
}

addMessageCallback('MsgPizzaBanCleanUp', handlePizzaBanCleanup);

function handlePizzaBanCleanUp()
{
	PizzaBanNameList.clear();
	PizzaBanClanList.clear();
}

function PizzaBanNameList::onSelect(%this, %id, %text)
{
	$PizzaClientBanPlayerId = %id;
	$PizzaClientBanPlayerText = %text;
}

function PizzaBanClanList::onSelect(%this, %id, %text)
{
	$PizzaClientBanClanId = %id;
	$PizzaClientBanClanText = %text;
}

function PizzaBanNameList::RemoveBan(%this)
{
	if($PizzaClientBanPlayerId $= "" || $PizzaClientBanPlayerText $= "")
		return;

	commandToServer('PizzaRemoveBan', $PizzaClientBanPlayerId, $PizzaClientBanPlayerText);
}

function PizzaBanClanList::RemoveBan(%this)
{
	if($PizzaClientBanClanText $= "" || $PizzaClientBanClanId $= "")
		return;
	
	commandToServer('PizzaRemoveBan', $PizzaClientBanClanId, $PizzaClientBanClanText);
}

addMessageCallback('UpdatePizzaHud', updatePizzaHud);

function updatePizzaHud(%msgType, %msgString, %a1, %a2)
{
   // set hud sensitivity
   if(%a2 $= "")
      %val = 0;
   else
      %val = (%a2 > 0);
   RandomTeams.setactive(%val);
   FairTeams.setactive(%val);
   AutoPW.setactive(%val);
   FullServerPW.setactive(%val);
   NoBaseRape.setactive(%val);
   ServerReset.setactive(%val);

   // set hud values
   RandomTeams.setvalue(%a1 & 1);
   FairTeams.setvalue(%a1 & 2);
   AutoPW.setvalue(%a1 & 4);
   FullServerPW.setvalue(%a1 & 8);
   NoBaseRape.setvalue(%a1 & 16);
   ServerReset.setvalue(%a1 & 32);
}

// Send the commands
function SendMsg(%type)
{
	switch$(%type)
	{
		case "InsAdminSAD":
			commandToServer('SAD', InsAdminSAD.getValue());
		case "InsADJoinPW":
			commandToServer('SADsetpassword', InsADJoinPW.getValue());
		case "InsADMaxPlayers":
			commandToServer('SetMaxPlayers', InsADMaxPlayers.getValue());
		case "InsBottomPrint":
			commandToServer('aprint', InsBottomPrint.getValue(), true);
		case "InsCenterPrint":
			commandToServer('aprint', InsCenterPrint.getValue(), false);
		case "InsAutoPWPassword":
			commandToServer('AutoPWSetup', "autopwpass", InsAutoPWPassword.getValue());
		case "InsAutoPWCount":
			commandToServer('AutoPWSetup', "autopwcount", InsAutoPWCount.getValue());
		case "InsFullServerPWPassword":
			commandToServer('FullServerPWSetup', "fullserverpwpass", InsFullServerPWPassword.getValue());
		case "InsFullServerPWAdd":
			commandToServer('FullServerPWSetup', "fullserverpwadd", InsFullServerPWAdd.getValue());
		case "InsNBRBase":
			commandToServer('NBRSetup', "NoBaseRapeBase", InsNBRBase.getValue());
		case "InsNBRClassic":
			commandToServer('NBRSetup', "NoBaseRapeClassic", InsNBRClassic.getValue());
		case "InsJoinPW":
			commandToServer('Set', "joinpw", InsJoinPW.getValue());
		case "InsMaxPlayers":
			commandToServer('Set', "maxplayers", InsMaxPlayers.getValue());
		case "InsADPW":
			commandToServer('Set', "adminpw", InsADPW.getValue());
		case "InsSADPW":
			commandToServer('Set', "superpw", InsSADPW.getValue());
	}
	
	%type.setValue("");
}